ru.bitel.bgbilling.plugins.dispatch.common.bean

## Class Contact

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.dispatch.common.bean.Contact

- All Implemented Interfaces:
    java.io.Serializable, Contractable, Idable
  Direct Known Subclasses:
    ContractContact

      public class Contact
      extends Id
      implements Contractable

  Контакт для отправки сообщений
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contact()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContactTypeId()` Возвращает тип данного контакта
    `int` | `getContractId()` Возвращает код договора к которому привязан объект.
    `java.lang.String` | `getDefaultValue()` Возвращает значение контакта по умолчанию
    `java.lang.String` | `getValue()` Возвращает значение контакта
    `java.lang.String` | `getValueForSend()` Возвращает значение контакта для отправки
    `java.lang.String` | `getValueForView()` Возвращает значение контакта для отправки просмотра
    `void` | `setContactTypeId(int contactTypeId)` Устанавливает тип для данного контакта
    `void` | `setContractId(int contractId)` Устанавливает код договора к которому привязан объект.
    `void` | `setDefaultValue(java.lang.String defaultValue)` Устанавливает значение контакта по умолчанию
    `void` | `setValue(java.lang.String value)` Устанавливает значение контакта
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Contact

          public Contact()

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.String value)

      Устанавливает значение контакта
      Parameters:
        `value` -

    - #### getValue

          public java.lang.String getValue()

      Возвращает значение контакта
      Returns:

    - #### getValueForSend

          public java.lang.String getValueForSend()

      Возвращает значение контакта для отправки
      Returns:

    - #### getValueForView

          public java.lang.String getValueForView()

      Возвращает значение контакта для отправки просмотра
      Returns:

    - #### setContactTypeId

          public void setContactTypeId(int contactTypeId)

      Устанавливает тип для данного контакта
      Parameters:
        `contactTypeId` -

    - #### getContactTypeId

          public int getContactTypeId()

      Возвращает тип данного контакта
      Returns:

    - #### getContractId

          public int getContractId()

      Description copied from interface: `Contractable`
      Возвращает код договора к которому привязан объект.
      Specified by:
        `getContractId` in interface `Contractable`
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Description copied from interface: `Contractable`
      Устанавливает код договора к которому привязан объект.
      Specified by:
        `setContractId` in interface `Contractable`
      Parameters:
        `contractId` - код договора

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Возвращает значение контакта по умолчанию
      Returns:

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String defaultValue)

      Устанавливает значение контакта по умолчанию
      Parameters:
        `defaultValue` -